> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/records/gm-field-path.md).

# GM - Field Path

(gmpkg:FieldPathComponent)

## **Documentation**

**GM - Field Path** component is used to display the progress of a process based on the specified picklist field. This component doesn't need path configuration to display the stages.

**Use case:** Display opportunity sub stage using a custom picklist field. See [Field Path](https://docs.gridmate.io/product-tour/records/field-path.md).

## **Specification**

<table data-full-width="true"><thead><tr><th width="250.64501953125">Property</th><th width="189.134521484375">Type</th><th width="453.0980224609375">Description</th></tr></thead><tbody><tr><td>recordId</td><td>String</td><td>Record Id to use. Keep this empty if you want to use the current record.</td></tr><tr><td>PickList Field Name</td><td>String</td><td>PickList field API name to use for stages.</td></tr><tr><td>Path Variant</td><td>String</td><td>Path variant to use; linear or non-linear. The default value is non-linear.</td></tr><tr><td>Path Stages</td><td>String</td><td>Json Path Stages. [{'label' : value, 'filter' : value}]. See <a href="https://docs.gridmate.io/package-reference/config-samples/field-path-stages.md">Field Path Stages</a> for a sample. The default value is [].</td></tr><tr><td>Display Mode</td><td>String</td><td>Display mode to use; view | edit. The default value is view.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="FieldPathComponent.design" %}
{% code fullWidth="true" %}

```xml
<design:component label="GM - Field Path">
    <design:attribute name="recordId" label="recordId" 
        description="recordId to use. Keep this empty if you want to use the current record"/>        
    <design:attribute name="variant" label="Path Variant"
        description="Path variant to use"/>    
    <design:attribute name="field" label="PickList Field Name"
        description="PickList field name to use for stages"/>
    <design:attribute name="jsonStages" label="Path Stages" 
        description="Json Path Stages. [{'label' : value, 'filter' : value}]"/>           
    <design:attribute name="mode" label="Display Mode"
        description="Display mode view | edit"/>        
</design:component>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/records/gm-field-path.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
